Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.dataretrieval
Class DataRetrievalRequest

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap
              org.apache.axis2.dataretrieval.DataRetrievalRequest

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map

    public class DataRetrievalRequest

extends java.util.HashMap

Allow to specify options/parameters for getData request. The list is extensible based on the information needed for the Data Locator to process the request.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

Field Summary
`static java.lang.String` | `DIALET` Key used to define Dialect of data to be retrieved.
`static java.lang.String` | `IDENTIFIER` Key used to defined Identify of data to be retrieved.
`static java.lang.String` | `OUTPUT_FORM` Key used to define the output format of retrieved data to be returned.

Constructor Summary
`DataRetrievalRequest()`

Method Summary
`java.lang.String` | `getDialect()` Returns the Dialect value specified in the request.
`java.lang.String` | `getIdentifier()` Returns the Identifier value specified in the request.
`OutputForm` | `getOutputForm()` Returns the output format specified in the request.
`void` | `putDialect(java.lang.String dialect)` Allow to set the dialect of data to retrieve
`void` | `putIdentifier(java.lang.String identifier)` Allow to set the identifier of data to retrieve
`void` | `putOutputForm(OutputForm form)` Allow to set the output format of the data retrieved.

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### DIALET

    public static final java.lang.String DIALET

  Key used to define Dialect of data to be retrieved.

  See Also:
    Constant Field Values

### IDENTIFIER

    public static final java.lang.String IDENTIFIER

  Key used to defined Identify of data to be retrieved.

  See Also:
    Constant Field Values

### OUTPUT_FORM

    public static final java.lang.String OUTPUT_FORM

  Key used to define the output format of retrieved data to be returned.

  See Also:
    Constant Field Values

Constructor Detail

### DataRetrievalRequest

    public DataRetrievalRequest()

Method Detail

### getDialect

    public java.lang.String getDialect()
                                throws DataRetrievalException

  Returns the Dialect value specified in the request.

  Returns:
    a String that has dialect info.
  Throws:
    `DataRetrievalException`

### getIdentifier

    public java.lang.String getIdentifier()

  Returns the Identifier value specified in the request.

  Returns:
    a String that has Identifier info.

### getOutputForm

    public OutputForm getOutputForm()

  Returns the output format specified in the request.

  Returns:
    output format of data retrieved.

### putDialect

    public void putDialect(java.lang.String dialect)
                    throws DataRetrievalException

  Allow to set the dialect of data to retrieve

  Parameters:
    `dialect` - - Valid dialect value supported by the Data Locator.
  Throws:
    `DataRetrievalException`

### putIdentifier

    public void putIdentifier(java.lang.String identifier)

  Allow to set the identifier of data to retrieve

  Parameters:
    `identifier` - - identifier value
  Throws:
    `DataRetrievalException`

### putOutputForm

    public void putOutputForm(OutputForm form)

  Allow to set the output format of the data retrieved.

  Parameters:
    `form` - - Valid output format types supported by the Data Locator.
  Throws:
    `DataRetrievalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.